pipeline {
//
    agent {
        label 'java-docker-slave'
    }
    stages {
        stage('Build') { 
            steps {
                sh 'mvn compile'
                echo '-Dhttps.protocols=TLSv1.2'
                echo '-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository'
                echo '-Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN'
                echo '-Dorg.slf4j.simpleLogger.showDateTime=true'
                echo '-Djava.awt.headless=true'
                echo '--batch-mode --errors --fail-at-end --show-version -DinstallAtEnd=true -DdeployAtEnd=true")'
            }
        }
        stage('Test') {
            steps {
                sh 'mvn test'
                echo '-Dhttps.protocols=TLSv1.2'
                echo '-Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository'
                echo '-Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN'
                echo '-Dorg.slf4j.simpleLogger.showDateTime=true'
                echo '-Djava.awt.headless=true'
                echo '--batch-mode --errors --fail-at-end --show-version -DinstallAtEnd=true -DdeployAtEnd=true")'
            }
        }
    }
}